# class ActiveRecord::EnvironmentMismatchError

### Public Class Methods

new(current: nil, stored: nil) click to toggle source
Calls superclass method

    # File lib/active_record/migration.rb, line 168
    def initialize(current: nil, stored: nil)
      msg =  "You are attempting to modify a database that was last run in `#{ stored }` environment.\n"
      msg << "You are running in `#{ current }` environment. "
      msg << "If you are sure you want to continue, first set the environment using:\n\n"
      msg << "        bin/rails db:environment:set"
      if defined?(Rails.env)
        super("#{msg} RAILS_ENV=#{::Rails.env}\n\n")
      else
        super("#{msg}\n\n")
      end
    end